Walking Dead: Michonne

Walking Dead: Michonne

Support

How do I know if my Kindle device is supported to run The Walking Dead: Michonne?

The following Kindle devices are compatible with The Walking Dead: Michonne:

  • Fire HD 6 (2014)
  • Fire HD 7 (2014)
  • Fire HD 8 (2015)
  • Fire HD 10 (2015)
  • Fire HDX 8.9 (2014)
  • Fire HDX 8.9 WAN (2014)
  • Fire TV (2014)